Package org.apache.batchee.jaxb

## Class Collector

- java.lang.Object
- - org.apache.batchee.jaxb.Collector

-     public class Collector
      extends Object

  Java class for Collector complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Collector">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="properties" type="{http://xmlns.jcp.org/xml/ns/javaee}Properties" minOccurs="0"/>
             </sequence>
             <attribute name="ref" use="required" type="{http://xmlns.jcp.org/xml/ns/javaee}artifactRef" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected JSLProperties` | `properties` |
    `protected String` | `ref` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Collector()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JSLProperties` | `getProperties()` | Gets the value of the properties property.
    `String` | `getRef()` | Gets the value of the ref property.
    `void` | `setProperties​(JSLProperties value)` | Sets the value of the properties property.
    `void` | `setRef​(String value)` | Sets the value of the ref property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### properties

          protected JSLProperties properties

    - #### ref

          protected String ref

  - ### Constructor Detail

    - #### Collector

          public Collector()

  - ### Method Detail

    - #### getProperties

          public JSLProperties getProperties()

      Gets the value of the properties property.
      Returns:
        possible object is `JSLProperties`

    - #### setProperties

          public void setProperties​(JSLProperties value)

      Sets the value of the properties property.
      Parameters:
        `value` - allowed object is `JSLProperties`

    - #### getRef

          public String getRef()

      Gets the value of the ref property.
      Returns:
        possible object is `String`

    - #### setRef

          public void setRef​(String value)

      Sets the value of the ref property.
      Parameters:
        `value` - allowed object is `String`